<template>
  <v-footer class="footer">
    <div class="bottom-wrap">
      <v-img
        width="400"
        :src="require('../../assets/img/in-your-home.png')"
        class="image"
        style="margin: auto"
      />
      <div class="bottom-shape">
        <svg class="top-wave" viewBox="0 0 2500 32" preserveAspectRatio="none">
          <path class="bottom" d="M2112.09636,22.2373515 C1885.37566,22.2373515 1716.87152,8.10126582 1487.09744,8.10126582 C1257.32767,8.10126582 1088.81922,22.2373515 862.098518,22.2373515 C635.377818,22.2373515 466.869364,8.10126582 237.099594,8.10126582 C151.639521,8.10126582 74.659133,10.0580331 0,12.513963 L0,31.9563778 L2500,31.9563778 L2500,12.513963 C2373.92873,16.6618111 2254.49393,22.2373515 2112.09636,22.2373515" fill="#626db2"></path>
        </svg>
      </div>
    </div>
    <div class="wrap-footer">
      <v-container>
        <v-row>
          <v-col xs="12">
            <p class="display-3 white--text">Circle</p>
          </v-col>
        </v-row>
        <v-row justify="center">
          <v-col xs="12" md="3" class="text-left">
            <p class="section-title subtitle-2 font-weight-bold">COMPANY</p>
            <router-link class="body-1 link" to="/about">About</router-link>
            <router-link class="body-1 link" to="/contact">Contact</router-link>
            <router-link class="body-1 link" to="/terms">Terms</router-link>
            <router-link class="body-1 link" to="/privacy">Privacy</router-link>
          </v-col>
          <v-col xs="12" md="3">
            <p class="section-title subtitle-2 font-weight-bold">HELP</p>
            <router-link v-if="!user" class="body-1 link" to="/join-us">Join as a facilitator</router-link>
            <router-link class="body-1 link" to="/faq">FAQ</router-link>
          </v-col>
          <v-col xs="12" md="3" class="text-left"></v-col>
          <v-col xs="12" md="3" class="text-left"></v-col>
        </v-row>

        <v-row justify="center" class="mt-10">
          <v-col xs="12" md="12" class="text-center white--text">
            <span class="mb-3">Made with love</span>
            <h6>Copyright © 2020 Circle, LLC All Rights Reserved.</h6>
          </v-col>
        </v-row>
      </v-container>
    </div>
  </v-footer>
</template>

<script>
import { mapState } from 'vuex'

export default {
  computed: {
    ...mapState('authentication', ['user'])
  }
}
</script>

<style lang="scss" scoped>
.footer {
  margin-top: 14rem;
  background: transparent;
  padding: 0;
  .bottom-wrap {
    width: 100%;
    position: relative;
    display: grid;
    .image {
      width: 373px;
      margin: auto;
      position: absolute;
      bottom: 0;
      z-index: 9;
      right: 4%;
    }
    .image-wrap {
      z-index: 9;
    }
    .bottom-shape {
      z-index: 1;
      display: grid;
      overflow: hidden;
    }
  }
  .wrap-footer {
    background: #626db2;
    width: 100%;
    .section-title {
      color: #f27561;
    }
    .link {
      color: #fff;
      display: block;
      margin-bottom: 15px;
      font-weight: 600;
      cursor: pointer;
      &:hover {
        color: #f27561;
      }
    }
  }
}
</style>
